Page MenuHomePhabricator

Smartly suggest app users to upload a missing photo on Commons via UploadWizard
Open, Needs TriagePublic

Description

I recently noticed on a friend's phone that the proprietary Google apps notice when you shoot a photo on some app and then ask "is this <object-X-nearby>?", offering to upload (and license) the photo to Google (for Panoramio? or just Google Maps maybe). Some also speculate that Pokémon Go is increasing the amount of photos people take of niche monuments/landmarks (Niantic's goal might still be to feed Google Maps).

We should counter this with a feature that lets people know they can also contribute geotagged photos to the commons rather than give up all their copyright to some corporation. I think the apps have the chance, and hence the duty, to offer users a way out from walled gardens and monopolies.

Could the Wikipedia app, when running in the background, "intercept" camera shootings and current location to produce such notifications? If so, I think it would be trivial to give the user a link to https://commons.wikimedia.org/wiki/Special:UploadWizard or https://commons.wikimedia.org/w/index.php?title=Special:Upload&uselang=ownwork , ideally prefilling the filename (and a category for the area?). Such notifications should be throttled in some way so that they don't bother users too much.

The only issue is how to identify photos which have a good chance of being useful. I can think of two approaches:

  • actually try to identify the item in the photo, by checking if OSM or Wikidata know of something "important" in the area;
  • just search Commons for images geotagged to the same area and suggest to upload a photo if there isn't any (à la Geograph).

Some filters can also be used, for instance identify whether the picture contains a big face and if so ignore it.

I guess I may anticipate some objections. My proposal has two crucial differences from past attempts:

  • we wouldn't *push* the user to take a photo but just reuse the user's judgement that something was worth taking a photo of;
  • we would not invent a new upload interface, which always causes problems, but send users to the usual interface with all the copyright and describing options.

Event Timeline

Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptAug 25 2016, 12:40 PM
Nemo_bis updated the task description. (Show Details)Aug 25 2016, 12:44 PM

Great idea!
Magnus Manske just suggested it for the Commons app too: https://github.com/commons-app/apps-android-commons/issues/259

I don't use Google apps, but could someone please try to take a picture of the Eiffel Tower (for instance) and then a picture of their feet and random objects near the Eiffel Tower, and check whether Google only suggest uploading if the picture actually shows the Eiffel Tower? That would mean they use a high degree of image recognition. I doubt we can perform such sophisticated recognition, especially for places that we don't have any images for. Asking too many obviously wrong "is this <object-X-nearby>?" question might bore the users, so we might have to think about a different user interface, for instance maybe after an hour, showing the user all of their pictures taken near the Eiffel Tower and asking them "Are there any pictures of the Eiffel Tower in these? If yes, which ones do you want to upload to Commons under CC-BY-SA?"

josephine_l added a subscriber: josephine_l.EditedSep 6 2016, 3:53 AM

From memory, if I take photos of a well-known cafe, Google pops up one notification saying something like "Add 5 pictures to Punnet Cafe" or similar. It includes both photos of food etc as well as photos of the location, so I doubt image recognition plays a big part. If I recall correctly, it even includes selfies, which might be an issue in our case. (I know that the pictures displayed on Google Maps don't include selfies, so I'm guessing they filter them out after submission)

But I would have to test it again to be sure.

jayvdb awarded a token.Sep 6 2016, 4:06 AM
jayvdb added a subscriber: jayvdb.

A word of caution...if you're pulling photos from a person's recent camera roll, you may be using pictures that were uploaded to other sites (e.g. Google Maps), which may then cause a false positive flag for copyright violation. I would suggest including a question like "have you shared this somewhere else?", which allows people to at least give Commons a heads-up that the picture is already online.

MarkTraceur triaged this task as Normal priority.Nov 30 2016, 7:19 PM
MarkTraceur moved this task from Untriaged to Triaged on the Multimedia board.
Ramsey-WMF moved this task from Triaged to Tracking on the Multimedia board.Nov 28 2017, 8:27 PM
LGoto closed this task as Declined.Apr 3 2018, 10:35 PM
LGoto added a subscriber: LGoto.

Closed as part of board grooming process.

Nemo_bis reopened this task as Open.Mar 9 2019, 7:38 PM
Aklapper raised the priority of this task from Normal to Needs Triage.Mar 9 2019, 7:46 PM
Aklapper removed a project: Multimedia.